Subject: [edu-team] Fw: Starting review for routing-dispatch draft

From: <[email-masked]>
Date: Fri, 10 Jun 2016 12:38:19 +0000 (UTC)

FYI. Thanks,
Nalini ElkinsInside Products, Inc.www.insidethestack.com(831) 659-8360

----- Forwarded Message -----
 From: "Rahul Arvind Jadhav (Rahul Arvind Jadhav, 2012 Labs)" <[email-masked]>
 To: "[email-masked]" <[email-masked]> 
 Sent: Thursday, June 9, 2016 8:31 PM
 Subject: FW: Starting review for routing-dispatch draft
   
 <!--#yiv5098279337 _filtered #yiv5098279337 {font-family:宋体;panose-1:2 1 6 0 3 1 1 1 1 1;} _filtered #yiv5098279337 {font-family:"Cambria Math";panose-1:2 4 5 3 5 4 6 3 2 4;} _filtered #yiv5098279337 {font-family:Calibri;panose-1:2 15 5 2 2 2 4 3 2 4;} _filtered #yiv5098279337 {font-family:Tahoma;panose-1:2 11 6 4 3 5 4 4 2 4;} _filtered #yiv5098279337 {panose-1:2 1 6 0 3 1 1 1 1 1;}#yiv5098279337 #yiv5098279337 p.yiv5098279337MsoNormal, #yiv5098279337 li.yiv5098279337MsoNormal, #yiv5098279337 div.yiv5098279337MsoNormal {margin:0cm;margin-bottom:.0001pt;font-size:12.0pt;font-family:"Times New Roman", "serif";}#yiv5098279337 a:link, #yiv5098279337 span.yiv5098279337MsoHyperlink {color:blue;text-decoration:underline;}#yiv5098279337 a:visited, #yiv5098279337 span.yiv5098279337MsoHyperlinkFollowed {color:purple;text-decoration:underline;}#yiv5098279337 p {margin-right:0cm;margin-left:0cm;font-size:12.0pt;font-family:"Times New Roman", "serif";}#yiv5098279337 p.yiv5098279337MsoAcetate, #yiv5098279337 li.yiv5098279337MsoAcetate, #yiv5098279337 div.yiv5098279337MsoAcetate {margin:0cm;margin-bottom:.0001pt;font-size:8.0pt;font-family:"Tahoma", "sans-serif";}#yiv5098279337 span.yiv5098279337BalloonTextChar {font-family:"Tahoma", "sans-serif";}#yiv5098279337 span.yiv5098279337EmailStyle20 {font-family:"Calibri", "sans-serif";color:#1F497D;}#yiv5098279337 span.yiv5098279337EmailStyle21 {font-family:"Calibri", "sans-serif";color:#1F497D;}#yiv5098279337 .yiv5098279337MsoChpDefault {font-size:10.0pt;} _filtered #yiv5098279337 {margin:72.0pt 90.0pt 72.0pt 90.0pt;}#yiv5098279337 div.yiv5098279337WordSection1 {}-->Hi Nalini,    FYI… We have started reviewing/posting comments.    Thank you for the follow-up.    Thanks, Rahul    From: Rahul Arvind Jadhav (Rahul Arvind Jadhav, 2012 Labs)
Sent: 06 June 2016 PM 09:26
To: 'Ines Robles'; Satish Anamalamudi (Satish Anamalamudi); AbdurRashidSangi
Subject: RE: Starting review for routing-dispatch draft    Hi All,    I have attached the RFC PDF with contextual comments … Editorial comments are rather easy to put it that way.    My thoughts/comments on the draft … From implementors point of view: IMO, the draft caters (very well) to non-storing mode and makes design changes (such as mutable SRH header) which works very well for the last mile LLNs. It's fascinating to think how well this draft could improve compression efficiency in non-storing mode using the SRH-6LoRH mechanism. For storing mode, we have RPI compression, but this compression efficiency is highly dependent on SenderRank, MinHopRankInc, and RPLInstanceID. Is my assumption correct, that to compress SenderRank to 1 byte, the sender's rank needs to be perfectly divisible by 256 (which is taken to be the MinHopRankInc)?    Reference address plays a major role: 1. Reference address is assumed to be BR/root's non local IPv6 address and this assumption may have issues in foll cases:     a. The BR/root does not configure any global IP address and the DODAG ID is simply some routable global IPv6 address. This is true to the implementation I work on.      b. The tight coupling of compression reference address to DODAGID might not be desirable! Should there be an alternate arrangement to signal reference address? 2. If the network already has mechanism to signal 6Lo Context Options and if the DODAGID is not the root's global IPv6 address ... A better compression can be achieved by using 6Lo Context ID based address for compression ... Currently if i m not wrong, the draft mandates use of DODAGID as reference address if it is available?    Regarding SenderRank compression in RPI,, is it necessary to fixate on MinHopRankInc of 256? It may work for any MinHopRankInc >= 256? Why doesn’t the draft generalize there?    Thanks, Rahul    From: Ines Robles [mailto:[email-masked]]
Sent: 24 May 2016 PM 12:04
To: Satish Anamalamudi (Satish Anamalamudi)
Cc: AbdurRashidSangi; Rahul Arvind Jadhav (Rahul Arvind Jadhav, 2012 Labs)
Subject: Re: Starting review for routing-dispatch draft    Hi,    Sure, let's keep on emails the review :-).  Thus, please when you have your review, just send it :-)    Thank you and have a good day,    Ines    2016-05-24 4:28 GMT+03:00 Satish Anamalamudi (Satish Anamalamudi) <[email-masked]>: Hello Ines,   Thanks a lot for your time to assist us. Yes, as Rashid said we are unable to access the Google docs in Huawei, Beijing.  Are you comfortable with Email for discussions about the draft ?   With Regards, Satish.   From: AbdurRashidSangi
Sent: 2016年5月24日 9:12
To: Rahul Arvind Jadhav (Rahul Arvind Jadhav, 2012 Labs); Ines Robles
Cc: Satish Anamalamudi (Satish Anamalamudi) 
Subject: RE: Starting review for routing-dispatch draft   Hi Ines,   Nice to be in touch. Satish and I, checked that the Google docs are inaccessible from our office here in Beijing so Rahul, how about we stick with exchanging emails?   Regards, Rashid Sangi.   From: Rahul Arvind Jadhav (Rahul Arvind Jadhav, 2012 Labs) 
Sent: 2016年5月23日 18:44
To: Ines Robles
Cc: AbdurRashidSangi; Satish Anamalamudi (Satish Anamalamudi)
Subject: RE: Starting review for routing-dispatch draft   Hi Ines,   It’s a bonanza that we are connected to you directly. Thanks for your time.   Let me just state what I had in mind when I subscribed to this idea (of Nalini’s)… Essentially I would like to participate more in IETF activities and as I understand reviews is one critical part of it… But during reviews I might have some basic doubts which I would want to clarify before going to ML … Mailing lists does not necessary solicit a response for such questions (though I feel ROLL is different). It will be nice to be connected to someone who knows the history of the problem statement based on the draft and can provide responses to such comments.   Regarding use of Google docs to review and post comments,, it’s a good idea and works fine with me… Will start the draft review soon and will prepare on the comments.   Thanks, Rahul     From: Ines Robles [mailto:[email-masked]]
Sent: 23 May 2016 PM 05:52
To: Rahul Arvind Jadhav (Rahul Arvind Jadhav, 2012 Labs)
Cc: AbdurRashidSangi; Satish Anamalamudi (Satish Anamalamudi)
Subject: Starting review for routing-dispatch draft   Hi Rahul, Abdur and Satish,   I am glad that we are connected. :-)   Following my understanding you want to analyse the routing-dispatch draft.    I created a google docs [1] where you can write your review or concerns, or we can use email if you prefer for that as well.   I would like to know please for each of you, which are your expectations for this group :-)   Starting: I propose that you read the document and then write your review in the google docs, do you agree?   Thanks    Ines     [1]https://docs.google.com/document/d/1Qeuqo2cqT9cJnrKSOyk4dWqYBbRjPR3iRnSwlpdezfY/edit?usp=sharing       2016-05-20 15:41 GMT+03:00 <[email-masked]>: Rahul, Abdur and Satish,

Let me introduce you to Ines Robles.  She will be your email mentor for this review team.  She has a great deal of experience in this area and will be of much help.  Thanks, Ines!

Your first draft is:

https://tools.ietf.org/html/draft-ietf-roll-routing-dispatch-00

Please let her know any questions you have on the draft.

Then, as appropriate, please post to the WG email list.
Thanks,

Nalini Elkins
Inside Products, Inc.
www.insidethestack.com
(831) 659-8360